Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.afp.goca
Class GraphicsSetArcParameters

    java.lang.Object
      org.apache.fop.afp.modca.AbstractAFPObject
          org.apache.fop.afp.goca.AbstractGraphicsDrawingOrder
              org.apache.fop.afp.goca.AbstractGraphicsCoord
                  org.apache.fop.afp.goca.GraphicsSetArcParameters

All Implemented Interfaces:
  Streamable, StructuredData

public class GraphicsSetArcParameters
extends AbstractGraphicsCoord

Sets the arc parameters for a GOCA graphics arc (circle/ellipse)

Nested Class Summary

Nested classes inherited from class org.apache.fop.afp.modca.AbstractAFPObject
`AbstractAFPObject.Category, AbstractAFPObject.Type`

Field Summary

Fields inherited from class org.apache.fop.afp.goca.AbstractGraphicsCoord
`coords, relative`

Fields inherited from class org.apache.fop.afp.modca.AbstractAFPObject
`log, SF_CLASS, SF_HEADER`

Constructor Summary
`GraphicsSetArcParameters(int xmaj, int ymin, int xmin, int ymaj)` Constructor

Method Summary
`protected byte` | `getOrderCode()` Returns the order code of this structured field
`java.lang.String` | `toString()`

Methods inherited from class org.apache.fop.afp.goca.AbstractGraphicsCoord
`addCoords, getDataLength, isRelative, writeToStream`

Methods inherited from class org.apache.fop.afp.goca.AbstractGraphicsDrawingOrder
`getName`

Methods inherited from class org.apache.fop.afp.modca.AbstractAFPObject
`copyChunks, copySF, copySF, truncate, writeChunksToStream, writeObjects`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GraphicsSetArcParameters

    public GraphicsSetArcParameters(int xmaj,
                                    int ymin,
                                    int xmin,
                                    int ymaj)

  Constructor

Parameters:
  `xmaj` - x coordinate of the major axis point
  `ymin` - y coordinate of the minor axis point
  `xmin` - x coordinate of the minor axis point
  `ymaj` - y coordinate of the major axis point

Method Detail

### getOrderCode

    protected byte getOrderCode()

  Returns the order code of this structured field

  Returns:
    the order code of this structured field

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `AbstractGraphicsCoord`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.